Name:           tcptrack
Version:        1.3.0
Release:        1%{?dist}
Summary:        Displays information about tcp connections on a network interface

Group:          Applications/System
License:        LGPLv2+
URL:            http://www.rhythm.cx/~steve/devel/tcptrack/
Source0:        http://www.rhythm.cx/~steve/devel/%{name}/release/%{version}/source/%{name}-%{version}.tar.gz
Patch0:         tcptrack-1.3.0-util.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
BuildRequires:  libpcap-devel

%description
tcptrack is a sniffer which displays information about TCP connections
it sees on a network interface. It passively watches for connections on 
the network interface, keeps track of their state and displays a list of
connections in a manner similar to the unix 'top' command. It displays 
source and destination addresses and ports, connection state, idle time, 
and bandwidth usage

%prep
%setup -q
%patch0 -p1 -b .util

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/tcptrack
%{_mandir}/man1/tcptrack.1.gz


%changelog
* Thu Mar 27 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.3.0-1
- Update to 1.3.0
- Added tcptrack-1.3.0-util.patch patch 

* Mon Jan 28 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.2.0-5
- Modified lincese to LGPLv2+

* Mon Jan 28 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.2.0-4
- Removed minimal version from BuildRequires

* Tue Jan 22 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.2.0-3
- Removed "Requires: libpcap >= 0.9.7"

* Tue Jan 22 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.2.0-2
- Fixed mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 13)
- Fixed strange-permission tcptrack-1.2.0.tar.gz 0770
- Fixed strange-permission tcptrack.spec 0770
- Fixed Source0 using %%{name} and %%{version} 

* Mon Jan 21 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.2.0-1
- Initial RPM release
